#version 300 es
precision mediump float;

in vec2 v_originTexCoord;
out vec4 fragColor;

uniform sampler2D uPassTex;     // 粒子渲染的纹理
float u_Threshold = 0.99;      // Metaball 阈值

void main() {
    // 获取不同LOD级别的纹理值
   fragColor = texture(uPassTex, v_originTexCoord);
   fragColor.a = (fragColor.a > u_Threshold) ? fragColor.a : 0.0;
}
